Callisto4Bootloader: sv_receive_buffer Struct Reference

Callisto4Bootloader

Data Fields
sv_receive_buffer Struct Reference

`#include <platform_sampler_lpspi3_ad8688.h>`

## Data Fields

uint8_t | destMac [6]
uint8_t | sourceMac [6]
uint8_t | etherSvData0
uint8_t | etherSvData1
uint8_t | appID0
uint8_t | appID1
uint8_t | svLength0
uint8_t | svLength1
uint8_t | reserved0
uint8_t | reserved1
uint8_t | reserved2
uint8_t | reserved3
uint8_t | imlicitPdu0
uint8_t | pduLength
uint8_t | imlicitInt0
uint8_t | noAsduLength
uint8_t | asduNumber
uint8_t | imlicitSeq2
uint8_t | seqLength
uint8_t | sequence
uint8_t | asduLength
uint8_t | imlicitString0
uint8_t | svidLength
uint8_t | svID [MAX_SVID_LENGTH]
uint8_t | imlicitInt2
uint8_t | smpCntLength
uint8_t | smpCnt0
uint8_t | smpCnt1
uint8_t | imlicitInt3
uint8_t | ConfRefLength
uint8_t | ConfRef0
uint8_t | ConfRef1
uint8_t | ConfRef2
uint8_t | ConfRef3
uint8_t | imlicitInt5
uint8_t | smpSynchLength
uint8_t | smpSynch
uint8_t | imlicitData7
uint8_t | smpDataLength
uint8_t | sampleData [SMP_DATA_LENGTH]

## Detailed Description

Definition at line 245 of file platform_sampler_lpspi3_ad8688.h.

## Field Documentation

## ◆ appID0

uint8_t sv_receive_buffer::appID0

Definition at line 257 of file platform_sampler_lpspi3_ad8688.h.

## ◆ appID1

uint8_t sv_receive_buffer::appID1

Definition at line 258 of file platform_sampler_lpspi3_ad8688.h.

## ◆ asduLength

uint8_t sv_receive_buffer::asduLength

Definition at line 273 of file platform_sampler_lpspi3_ad8688.h.

## ◆ asduNumber

uint8_t sv_receive_buffer::asduNumber

Definition at line 269 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ConfRef0

uint8_t sv_receive_buffer::ConfRef0

Definition at line 283 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ConfRef1

uint8_t sv_receive_buffer::ConfRef1

Definition at line 284 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ConfRef2

uint8_t sv_receive_buffer::ConfRef2

Definition at line 285 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ConfRef3

uint8_t sv_receive_buffer::ConfRef3

Definition at line 286 of file platform_sampler_lpspi3_ad8688.h.

## ◆ ConfRefLength

uint8_t sv_receive_buffer::ConfRefLength

Definition at line 282 of file platform_sampler_lpspi3_ad8688.h.

## ◆ destMac

uint8_t sv_receive_buffer::destMac[6]

Definition at line 246 of file platform_sampler_lpspi3_ad8688.h.

Referenced by process_rx_buffer().

## ◆ etherSvData0

uint8_t sv_receive_buffer::etherSvData0

Definition at line 255 of file platform_sampler_lpspi3_ad8688.h.

## ◆ etherSvData1

uint8_t sv_receive_buffer::etherSvData1

Definition at line 256 of file platform_sampler_lpspi3_ad8688.h.

## ◆ imlicitData7

uint8_t sv_receive_buffer::imlicitData7

Definition at line 290 of file platform_sampler_lpspi3_ad8688.h.

## ◆ imlicitInt0

uint8_t sv_receive_buffer::imlicitInt0

Definition at line 267 of file platform_sampler_lpspi3_ad8688.h.

## ◆ imlicitInt2

uint8_t sv_receive_buffer::imlicitInt2

Definition at line 277 of file platform_sampler_lpspi3_ad8688.h.

## ◆ imlicitInt3

uint8_t sv_receive_buffer::imlicitInt3

Definition at line 281 of file platform_sampler_lpspi3_ad8688.h.

## ◆ imlicitInt5

uint8_t sv_receive_buffer::imlicitInt5

Definition at line 287 of file platform_sampler_lpspi3_ad8688.h.

## ◆ imlicitPdu0

uint8_t sv_receive_buffer::imlicitPdu0

Definition at line 265 of file platform_sampler_lpspi3_ad8688.h.

## ◆ imlicitSeq2

uint8_t sv_receive_buffer::imlicitSeq2

Definition at line 270 of file platform_sampler_lpspi3_ad8688.h.

## ◆ imlicitString0

uint8_t sv_receive_buffer::imlicitString0

Definition at line 274 of file platform_sampler_lpspi3_ad8688.h.

## ◆ noAsduLength

uint8_t sv_receive_buffer::noAsduLength

Definition at line 268 of file platform_sampler_lpspi3_ad8688.h.

## ◆ pduLength

uint8_t sv_receive_buffer::pduLength

Definition at line 266 of file platform_sampler_lpspi3_ad8688.h.

## ◆ reserved0

uint8_t sv_receive_buffer::reserved0

Definition at line 261 of file platform_sampler_lpspi3_ad8688.h.

## ◆ reserved1

uint8_t sv_receive_buffer::reserved1

Definition at line 262 of file platform_sampler_lpspi3_ad8688.h.

## ◆ reserved2

uint8_t sv_receive_buffer::reserved2

Definition at line 263 of file platform_sampler_lpspi3_ad8688.h.

## ◆ reserved3

uint8_t sv_receive_buffer::reserved3

Definition at line 264 of file platform_sampler_lpspi3_ad8688.h.

## ◆ sampleData

uint8_t sv_receive_buffer::sampleData[SMP_DATA_LENGTH]

Definition at line 292 of file platform_sampler_lpspi3_ad8688.h.

Referenced by process_rx_buffer().

## ◆ seqLength

uint8_t sv_receive_buffer::seqLength

Definition at line 271 of file platform_sampler_lpspi3_ad8688.h.

## ◆ sequence

uint8_t sv_receive_buffer::sequence

Definition at line 272 of file platform_sampler_lpspi3_ad8688.h.

## ◆ smpCnt0

uint8_t sv_receive_buffer::smpCnt0

Definition at line 279 of file platform_sampler_lpspi3_ad8688.h.

Referenced by process_rx_buffer().

## ◆ smpCnt1

uint8_t sv_receive_buffer::smpCnt1

Definition at line 280 of file platform_sampler_lpspi3_ad8688.h.

Referenced by process_rx_buffer().

## ◆ smpCntLength

uint8_t sv_receive_buffer::smpCntLength

Definition at line 278 of file platform_sampler_lpspi3_ad8688.h.

## ◆ smpDataLength

uint8_t sv_receive_buffer::smpDataLength

Definition at line 291 of file platform_sampler_lpspi3_ad8688.h.

## ◆ smpSynch

uint8_t sv_receive_buffer::smpSynch

Definition at line 289 of file platform_sampler_lpspi3_ad8688.h.

## ◆ smpSynchLength

uint8_t sv_receive_buffer::smpSynchLength

Definition at line 288 of file platform_sampler_lpspi3_ad8688.h.

## ◆ sourceMac

uint8_t sv_receive_buffer::sourceMac[6]

Definition at line 247 of file platform_sampler_lpspi3_ad8688.h.

## ◆ svID

uint8_t sv_receive_buffer::svID[MAX_SVID_LENGTH]

Definition at line 276 of file platform_sampler_lpspi3_ad8688.h.

Referenced by process_rx_buffer().

## ◆ svidLength

uint8_t sv_receive_buffer::svidLength

Definition at line 275 of file platform_sampler_lpspi3_ad8688.h.

Referenced by process_rx_buffer().

## ◆ svLength0

uint8_t sv_receive_buffer::svLength0

Definition at line 259 of file platform_sampler_lpspi3_ad8688.h.

## ◆ svLength1

uint8_t sv_receive_buffer::svLength1

Definition at line 260 of file platform_sampler_lpspi3_ad8688.h.

The documentation for this struct was generated from the following file:

- ARK/platform_sampler_lpspi3_ad8688.h